Bug 468229 - Review Request: python-wsgiref - WSGI (PEP 333) Reference Library
Review Request: python-wsgiref - WSGI (PEP 333) Reference Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 468230
  Show dependency treegraph
 
Reported: 2008-10-23 12:40 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.1.2-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 20:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sergio.pasra: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-10-23 12:40:41 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-wsgiref.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-wsgiref-0.1.2-1.el5.noarch.rpm
Description:
WebError is WSGI middleware that performs error handling and exception
catching.
Comment 1 Luke Macken 2008-10-23 12:41:57 EDT
Note: this package is only needed on EL-4 and EL-5, as the 'wsgiref' module is now in the Python 2.5 stdlib.
Comment 2 Sergio Pascual 2009-03-16 12:00:26 EDT
The srpm isn't in the URL http://lmacken.fedorapeople.org/rpms/
Comment 3 Luke Macken 2009-05-18 16:06:34 EDT
Sorry, here it is: http://lmacken.fedorapeople.org/rpms/python-wsgiref-0.1.2-1.fc10.src.rpm
Comment 5 Tom "spot" Callaway 2009-05-18 17:01:30 EDT
License tag should be:

Python or ZPLv2.1
Comment 6 Luke Macken 2009-05-21 22:03:30 EDT
http://lmacken.fedorapeople.org/rpms/python-wsgiref-0.1.2-3.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-wsgiref.spec

* Thu May 21 2009 Luke Macken <lmacken@redhat.com> - 0.1.2-3
- Update the license tag to 'Python or ZPLv2.1'
Comment 7 Sergio Pascual 2009-05-24 13:05:55 EDT
+ source files match upstream:
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ rpmlint is silent.
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.

If you plan to build this package in EL-4, please reread the python guidelines. Before EL-5 you have to write the python-abi dependency explicitly. Furthermore, .pyo files have to be created by hand.

Package is APPROVED
Comment 8 Luke Macken 2009-05-31 00:29:22 EDT
New Package CVS Request
=======================
Package Name: python-wsgiref
Short Description: WSGI (PEP 333) Reference Library
Owners: lmacken
Branches: F-11 F-10 EL-5
Comment 9 Jason Tibbitts 2009-05-31 16:14:17 EDT
CVS done.
Comment 10 Fedora Update System 2009-06-02 09:51:57 EDT
python-wsgiref-0.1.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-wsgiref-0.1.2-3.fc11
Comment 11 Fedora Update System 2009-06-02 09:52:03 EDT
python-wsgiref-0.1.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-wsgiref-0.1.2-3.fc10
Comment 12 Fedora Update System 2009-06-04 17:08:47 EDT
python-wsgiref-0.1.2-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-wsgiref'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5819
Comment 13 Fedora Update System 2009-06-04 17:14:16 EDT
python-wsgiref-0.1.2-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-wsgiref'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5857
Comment 14 Will Woods 2009-08-05 15:25:09 EDT
What happened to the Fedora 11 update to add this package? 

It's been two months - perhaps it can go straight to stable at this point?
Comment 15 Luke Macken 2009-09-01 09:49:22 EDT
(In reply to comment #14)
> What happened to the Fedora 11 update to add this package? 
> 
> It's been two months - perhaps it can go straight to stable at this point?  

Fedora 11's Python2.6 comes with the wsgiref module built in, so there is no need for this package on that branch.
Comment 16 Fedora Update System 2009-09-02 20:29:39 EDT
python-wsgiref-0.1.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.